Groovy 1.7.0

## org.codehaus.groovy.tools.shell.util
Class ANSI

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.ANSI

    class ANSI
    extends Object

Provides support for using ANSI color escape codes.

version:
  $Id: ANSI.java 17536 2009-09-04 01:42:05Z glaforge $

author:
  Jason Dillon

Nested Class Summary
`class` | `ANSI.Buffer`
`class` | `ANSI.Code`
`class` | `ANSI.RenderMessageSource`
`class` | `ANSI.RenderWriter`
`class` | `ANSI.Renderer`

Constructor Summary
`ANSI()`

Method Summary
`static boolean` | `isDetected()`
`static boolean` | `isEnabled()`
`static void` | `setEnabled(boolean flag)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ANSI

    ANSI()

Method Detail

### isDetected

    public static boolean isDetected()

### isEnabled

    public static boolean isEnabled()

### setEnabled

    public static void setEnabled(boolean flag)

Copyright © 2003-2009 The Codehaus. All rights reserved.